Skip to the page

Clouds, regions, sizes and products on offer

GET/v1/environments/catalogue

Operation environments.catalogue · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

{ "catalogue", "fetchedAt" }: clouds, regions, sizes and products on offer (both null before the first read).

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/environments/catalogue
curl "https://api.rykloud.com/v1/environments/catalogue" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"